const express = require('express');
const router = express.Router();

const tableTypeController = require("../controllers/TableTypeController");
const authController = require("../controllers/AuthController");

router.get('/tabletype', [ authController.checkAuth, authController.adminRoute ],tableTypeController.showIndex);
router.get('/tabletype/create', [ authController.checkAuth, authController.adminRoute ],tableTypeController.showCreate);
router.get('/tabletype/manage/:id', [ authController.checkAuth, authController.adminRoute ],tableTypeController.showManage);
router.post('/tabletype/create', [ authController.checkAuth, authController.adminRoute ],tableTypeController.createTableType);
router.post('/tabletype/update', [ authController.checkAuth, authController.adminRoute ],tableTypeController.updateTableType);
router.post('/tabletype/delete', [ authController.checkAuth, authController.adminRoute ],tableTypeController.deleteTableType);

// 
module.exports = router;